Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005022 [JEDI VCL] 00 JVCL Components minor always 2009-11-17 13:31 2011-06-10 16:09
Reporter tetardd View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005022: Useless Finally clauses in TJvCustomRichEdit?
Description Here is a code fragment for
function TJvCustomRichEdit.ObjectPropertiesDialog: Boolean;
begin
  ...
  try
        ...
  finally
  end;
end;

What is the point of that (useless??) Finally/end section? Why do we need the overhead of managing exception in the try/finally block if they are not managed at all?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0016937)
obones (administrator)
2009-12-04 15:21

Thanks, this has been fixed in SVN

- Issue History
Date Modified Username Field Change
2009-11-17 13:31 tetardd New Issue
2009-12-04 15:21 obones Note Added: 0016937
2009-12-04 15:21 obones Status new => resolved
2009-12-04 15:21 obones Fixed in Version => Daily / SVN
2009-12-04 15:21 obones Resolution open => fixed
2009-12-04 15:21 obones Assigned To => obones
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker